Bug 1443248 - Using REST API - encountering "NoMethodError: undefined method `key?' for #<Array..."
Summary: Using REST API - encountering "NoMethodError: undefined method `key?' for #<A...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: GA
: 5.7.3
Assignee: Greg McCullough
QA Contact: Martin Kourim
URL:
Whiteboard: rest:api
Depends On: 1406084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-18 20:58 UTC by Satoe Imaishi
Modified: 2020-07-16 09:26 UTC (History)
12 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1406084
Environment:
Last Closed: 2017-06-28 15:00:50 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-28 20:25:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/34645a2b08383b9fe21f5f7325315c3f6aa7d08b

commit 34645a2b08383b9fe21f5f7325315c3f6aa7d08b
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Apr 18 11:36:08 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Apr 28 16:23:12 2017 -0400

    Merge pull request #35 from d-m-u/sysprepBug
    
    Changes sysprep field to be a hash
    (cherry picked from commit 73ef1aac2ea57412012b99cc6a31a81567199e5c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1443248

 .../vmware/infra_manager/provision_workflow.rb     | 156 ++++++++++-----------
 1 file changed, 78 insertions(+), 78 deletions(-)

Comment 3 CFME Bot 2017-04-28 22:15:53 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/59801ae423ab82e4d4fa1512bb7dc3808f7f116d

commit 59801ae423ab82e4d4fa1512bb7dc3808f7f116d
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue Apr 18 08:32:50 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Apr 28 18:10:55 2017 -0400

    Merge pull request #982 from d-m-u/sysprep
    
    Adds sysprep_timezone to render as hash like others
    (cherry picked from commit 62bd62a8c31ba6c4484bd15e6d68e055605aeac6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1443248

 app/views/miq_request/_prov_field.html.haml | 40 +++--------------------------
 1 file changed, 4 insertions(+), 36 deletions(-)

Comment 4 CFME Bot 2017-05-04 15:46:19 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/16512ee98e663065561126432a665feb559fdaf7

commit 16512ee98e663065561126432a665feb559fdaf7
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue Apr 18 11:41:23 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 4 11:42:10 2017 -0400

    Merge pull request #14772 from gmcculloug/sysprep_timezone_unreverse
    
    Remove reverse! call for timezone after converting structure to hash
    (cherry picked from commit e761f4bfd9fc1a28bd1c3ef5ac73b75e402f1bbc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1443248

 app/models/miq_provision_virt_workflow.rb | 1 -
 1 file changed, 1 deletion(-)

Comment 5 Martin Kourim 2017-06-16 14:43:49 UTC
Verified using
POST /api/provision_requests
{
    "version": "1.1",
    "template_fields": {
        "guid": "cea6729e-50f4-11e7-9d19-fa163ed724a1"
    },
    "vm_fields": {
        "number_of_cpus": 1,
        "vm_name": "test_rest_prov_1113",
        "vm_memory": "2048",
        "vlan": "DPortGroup (DSwitch)",
        "sysprep_timezone": "095"
    },
    "requester": {
        "user_name": "admin",
        "owner_first_name": "John",
        "owner_last_name": "Doe",
        "owner_email": "jdoe@sample.com",
        "auto_approve": true
    },
    "tags": {
        "network_location": "Internal",
        "cc": "001"
    },
    "additional_values": {
        "request_id": "1001"
    },
    "ems_custom_attributes": {},
    "miq_custom_attributes": {}
}

Comment 7 errata-xmlrpc 2017-06-28 15:00:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.